version: "3.9"

services:

  https-portal:
    image: steveltn/https-portal:1
    container_name: https-portal
    restart: always
    environment:
      DOMAINS: vss.mx -> http://rocket-chat:80
    ports:
      - 80:80
      - 443:443
    links:
      - rocket-chat
    volumes:
      - ./volumes/https-nginx/cert:/var/lib/https-portal
      - ./volumes/https-nginx/logs:/var/log

  rocket-chat:
    image: rocket.chat:6.0.0
    container_name: rocket_chat
    environment:
      ROOT_URL: http://rocket_chat
      MONGO_OPLOG_URL: mongodb://mongo-db:27017/local
    ports:
      - 80
    links:
      - mongo-db
    
  mongo-db:
    image: mongo:4.4.5
    container_name: mongo-db
    environment: 
      PUID: 1000
      PGID: 1000
    ports: 
      - 27017
    volumes: 
      - ./volumes/mongodb:/data/db
